Subject: Re: [PATCH 2/3] Submodules: Add the new "fetch" config option for fetch and pull

From: Jonathan Nieder <[email-masked]>
Date: Sat, 9 Oct 2010 14:54:46 -0500

Jens Lehmann wrote:
> Am 07.10.2010 15:33, schrieb Jon Seymour:

>> I wonder if the name is a little too general for the function of this
>> configuration variable and if it might not be better to qualify it a
>> little further, perhaps
>> with the recursive suffix, e.g.:
>> 
>>     submodule.<name>.fetch.recursive
>> 
>> This would allow us to define other attributes that configure fetch on
>> a per submodule basis later should the need arise.
>
> I think that's a valid point (especially as we might add the --recursive
> option to other commands too). I will change the option name as proposed
> in the next version.

That would look like

	[submodule "<name>"]
		fetch.recursive = ...

in files with .git/config syntax.  Maybe fetchRecursive or similar
would be more consistent with existing variables?

I'm not personally invested in any name; just thought that reminder
might be useful.